Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Representations/WLan/BehaviorTeamMessage.h File Reference

Declaration of class BehaviorTeamMessage. More...

`#include "Tools/Streams/InOut.h"`
`#include "Tools/Player.h"`

Include dependency graph for BehaviorTeamMessage.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | BehaviorTeamMessage
| Represents a message that is exchanged between the behaviors of different robots. More...
## Functions
In & | operator>> (In &stream, BehaviorTeamMessage &behaviorTeamMessage)
| Streaming operator that reads a BehaviorTeamMessage from a stream.
Out & | operator<< (Out &stream, const BehaviorTeamMessage &behaviorTeamMessage)
| Streaming operator that writes a BehaviorTeamMessage to a stream.

## Detailed Description

Declaration of class BehaviorTeamMessage.

Author:
  Martin Lötzsch

Definition in file BehaviorTeamMessage.h.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | BehaviorTeamMessage & | behaviorTeamMessage
| ) |

  | Streaming operator that reads a BehaviorTeamMessage from a stream. Parameters:
  stream | The stream from which is read.
  behaviorTeamMessage | The BehaviorTeamMessage object.
Returns: The stream. Definition at line 32 of file BehaviorTeamMessage.cpp. References BehaviorTeamMessage::dynamicRole, BehaviorTeamMessage::estimatedTimeToReachBall, BehaviorTeamMessage::estimatedTimeToReachKickoff, BehaviorTeamMessage::gameState, BehaviorTeamMessage::message, BehaviorTeamMessage::numberOfTheChoosenPassPartner, BehaviorTeamMessage::strikerCommand, BehaviorTeamMessage::strikerCommandParameter, and BehaviorTeamMessage::timeSinceRoleChange.

Out& operator<< | ( | Out & | stream,
|  | const BehaviorTeamMessage & | behaviorTeamMessage
| ) |

  | Streaming operator that writes a BehaviorTeamMessage to a stream. Parameters:
  stream | The stream to write on.
  behaviorTeamMessage | The BehaviorTeamMessage object.
Returns: The stream. Definition at line 64 of file BehaviorTeamMessage.cpp. References BehaviorTeamMessage::dynamicRole, BehaviorTeamMessage::estimatedTimeToReachBall, BehaviorTeamMessage::estimatedTimeToReachKickoff, BehaviorTeamMessage::gameState, BehaviorTeamMessage::message, BehaviorTeamMessage::numberOfTheChoosenPassPartner, BehaviorTeamMessage::strikerCommand, BehaviorTeamMessage::strikerCommandParameter, and BehaviorTeamMessage::timeSinceRoleChange.